MessageTemplate
Create a message template
POST
/
v1
/
message-templates
Create a message template
curl --request POST \
--url https://dev.flextell.ai/api/v1/message-templates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Tenant: <x-tenant>' \
--data '
{
"name": "<string>",
"subject": "<string>",
"body": "<string>",
"is_active": true
}
'import requests
url = "https://dev.flextell.ai/api/v1/message-templates"
payload = {
"name": "<string>",
"subject": "<string>",
"body": "<string>",
"is_active": True
}
headers = {
"X-Tenant": "<x-tenant>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Tenant': '<x-tenant>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
subject: '<string>',
body: JSON.stringify('<string>'),
is_active: true
})
};
fetch('https://dev.flextell.ai/api/v1/message-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": "<string>",
"data": {
"id": 123,
"name": "<string>",
"system_name": "<string>",
"subject": "<string>",
"body": "<string>",
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Authorizations
oauth2bearer
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.
Body
application/json
The name.
Maximum string length:
150The internal system name.
Available options:
appointment.created, appointment.reminder.tomorrow, appointment.cancellation.followup, reminder.offset.generic, blacklist.blocked.generic, blacklist.blocked.temporary, tenant.location.sent, media.ack, session.confirmation.request, reschedule.confirmation.request, form.photo.reminder, form.photo.success, customer.form.link, ticket.resolved, sales.gatekeeping.success, intake.welcome, support.handoff.human The subject.
Maximum string length:
200The body content.
Whether the record is active.
⌘I
Create a message template
